/*  calculator.h - header for parser with functions */
/*  Used in calculator.y                            */

#define NSYMS 1000 /* maximum number of symbols */

struct symtab
       { char *name;
         double (*funcptr1)(double a);
         double (*funcptr2)(double a, double b);
         double (*funcptr3)(char *s);
         double value;
       }symtab[NSYMS];
struct symtab *symlook(char *s);    

