/* config.h.  Generated automatically by configure.  */
/* This file is used by configure to create a config.h file. */
/* configure will comment out the undef's if it finds it.    */
/* Most of these variables are never actually used.          */

#ifndef __CONFIG_H
#define __CONFIG_H 

/* Define if on AIX 3.
   System headers sometimes define this.
   We just want to avoid a redefinition error message.  */
#ifndef _ALL_SOURCE
/* #undef _ALL_SOURCE */
#endif

/* Define if you have /proc/meminfo.  */
#define HAVE_MEMINFO 1 

/* Define if you have motif version 1 or higher.  */
#define HAVE_MOTIF 1 

/* Define if you have motif version 2 or higher.  */
#define MOTIF2 1 

/* Define if you have Xbae.  */
#define HAVE_XBAE 1

/* Define if you have Xbae.  */
#define HAVE_JPEG 1

/* Define if you have the Xpm library (-lXpm).  */
#define HAVE_XPM 1

/* Define if you don't have fcvt.  */
#define HAVE_FCVT 1

/* Define if you don't have gcvt.  */
#define HAVE_GCVT 1

/* Define if you have lex.  */
#define HAVE_LEX 1

/* Define if you have the cbrt function.  */
#define HAVE_CBRT 1

/* Define if you have the acosh function.  */
#define HAVE_ACOSH 1

/* Define if you have the isinf function.  */
#define HAVE_ISINF 1

/* Define if you have the isnan function.  */
#define HAVE_ISNAN 1

/* Define your OS.  */
#define LINUX 1
/* #undef SOLARIS */
/* #undef IRIX */
/* #undef CONVEX */
/* #undef MIPS */

/* Define if you are using lesstif.  */
#define LESSTIF 1

/* Define if you have bytesex.h  */
#define HAVE_BYTESEX_H 1


/* The rest of this is not actually used */


/* Define if you need to in order for stat and other things to work.  */
/* #undef _POSIX_SOURCE */

/* Define if you have the ANSI C header files.  */
/* #undef STDC_HEADERS */

/* Define to empty if the keyword does not work.  */
/* #undef const */

/* Define to `int' if <sys/types.h> doesn't define.  */
/* #undef pid_t */

/* Define to `unsigned' if <sys/types.h> doesn't define.  */
/* #undef size_t */

/* Define if you have the <unistd.h> header file.  */
#define HAVE_UNISTD_H 1

/* Define to one of _getb67, GETB67, getb67 for Cray-2 and Cray-YMP systems.
   This function is required for alloca.c support on those systems.  */
/* #undef CRAY_STACKSEG_END */

/* Define if using alloca.c.  */
/* #undef C_ALLOCA */

/* Define if you have alloca, as a function or macro.  */
#define HAVE_ALLOCA 1

/* Define if you have <alloca.h> and it should be used (not on Ultrix).  */
#define HAVE_ALLOCA_H 1

/* Define as the return type of signal handlers (int or void).  */
#define RETSIGTYPE void

/* Define if you have <sys/wait.h> that is POSIX.1 compatible.  */
#define HAVE_SYS_WAIT_H 1

/* Define if you have the <fcntl.h> header file.  */
#define HAVE_FCNTL_H 1

/* Define if your <sys/time.h> declares struct tm.  */
/* #undef TM_IN_SYS_TIME */

/* Define if you have <vfork.h>.  */
/* #undef HAVE_VFORK_H */

/* Define vfork as fork if vfork does not work.  */
/* #undef vfork */

/* Define if you have the drand48 function.  */
/* #undef HAVE_DRAND48 */

/* Define if you have the getcwd function.  */
/* #undef HAVE_GETCWD */

/* Define if you have the gethostname function.  */
/* #undef HAVE_GETHOSTNAME */

/* Define if you have the memcpy function.  */
/* #undef HAVE_MEMCPY */

/* Define if you have the memmove function.  */
/* #undef HAVE_MEMMOVE */

/* Define if you have the popen function.  */
#define HAVE_POPEN 1

/* Define if you have the on_exit function.  */
/* #undef HAVE_ON_EXIT */

/* Define if you have the strdup function.  */
/* #undef HAVE_STRDUP */

/* Define if you have the strstr function.  */
/* #undef HAVE_STRSTR */

/* Define if you have the strerror function.  */
/* #undef HAVE_STRERROR */

/* Define if you have the vsnprintf function.  */
/* #undef HAVE_VSNPRINTF */

/* Define if you have the dlopen function.  */
/* #undef HAVE_DLOPEN */

/* Define if you have the shl_load function.  */
/* #undef HAVE_SHL_LOAD */

/* Define if your FPU arithmetics is of the DEC type.  */
/* #undef HAVE_DEC_FPU */

/* Define if your FPU arithmetics is of the little endian IEEE type.  */
/* #undef HAVE_LIEEE_FPU */

/* Define if your FPU arithmetics is of the big endian IEEE type.  */
/* #undef HAVE_BIEEE_FPU */

/* Define if you have the m library (-lm).  */
#define HAVE_LIBM 1

/* Define if you have <ieeefp.h>.  */
/* #undef HAVE_IEEEFP_H */

/* Define if you have the hypot function.  */
/* #undef HAVE_HYPOT */

/* Define if you have the log2 function.  */
/* #undef HAVE_LOG2 */

/* Define if you have the rint function.  */
/* #undef HAVE_RINT */

/* Define if you have the lgamma function.  */
/* #undef HAVE_LGAMMA */

/* Define if math.h defines the lgamma function.  */
/* #undef HAVE_LGAMMA_IN_MATH_H */

/* Define if you have the asinh function.  */
/* #undef HAVE_ASINH */

/* Define if you have the acosh function.  */
#define HAVE_ACOSH 1

/* Define if you have the atanh function.  */
/* #undef HAVE_ATANH */

/* Define if you have the erf function.  */
/* #undef HAVE_ERF */

/* Define if you have the erfc function.  */
/* #undef HAVE_ERFC */

/* Define if you have the finite function.  */
/* #undef HAVE_FINITE */

/* Define if you have the isfinite function.  */
/* #undef HAVE_ISFINITE */

/* Define if you have the Bessel j0 function.  */
/* #undef HAVE_J0 */

/* Define if you have the Bessel j1 function.  */
/* #undef HAVE_J1 */

/* Define if you have the Bessel jn function.  */
/* #undef HAVE_JN */

/* Define if you have the Bessel y0 function.  */
/* #undef HAVE_Y0 */

/* Define if you have the Bessel y1 function.  */
/* #undef HAVE_Y1 */

/* Define if you have the Bessel yn function.  */
/* #undef HAVE_YN */

/* Define if you have the netcdf library (-lnetcdf).  */
/* #undef HAVE_NETCDF */

/* Define if the X Window System is missing or not being used.  */
/* #undef X_DISPLAY_MISSING */

#if (defined(HAVE_MOTIF) && !defined(X_DISPLAY_MISSING))
#  define MOTIF_GUI
#else
#  define NONE_GUI
#endif

#endif /* __CONFIG_H */
